<template>
	<view class="notify-center mg-lr-24">
		<view class="notify-center-content">
			<view class="nofity-title">
				<text class="title fs32 fw400">
					{{content.title}}
				</text>
			</view>
			<view class="notify-date mg-top-20">
				<text class="fs24 fw400">
					2024-11-06
				</text>
			</view>
			<view class="nofigy-content mg-top-34 ellipsis"> 
				<rich-text :nodes="content.content"></rich-text>
			</view>
			<view class="notify-image mg-top-20">
				<!-- <image :mode="'widthFix'" src="../. ././static/nofity-center.png"></image> -->
			</view>
			<view class="deep-gray mg-top-34 ellipsis">
				
			</view>
			<view class="notify-image mg-top-20">
				<!-- <image :mode="'widthFix'" src="../.././static/nofity-center.png"></image> -->
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				content:{},
				detailsId:''
			}
		},
		onLoad(option) {
			console.log(option);
			this.detailsId = option.detailsId
			this.getreload()
		},
		methods: {
			getreload() {
				this.$http.get("/api/client/notice/details", {
					id:this.detailsId
					}).then(res => {
					console.log(res.data.data);
					if (res.data.data.content) {
						res.data.data.content = res.data.data.content.replace(/\<img/gi,
							'<img style="max-width:100% !important;height:auto !important" ')
					}
					res.data.data.content = res.data.data.content
					
					this.content = res.data.data
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
	.notify-center {
		.notify-center-content {
			padding: 20rpx;
			border-radius: 18rpx;
			background-color: #ffffff;
			.nofity-title {
				color: #333333;
			}
			.notify-date {
				color: #999999;
			}
		}
	}
	.ellipsis {
		
	}
</style>
